from flask import Flask
import RPi.GPIO as gpio
from time import sleep
import subprocess

# MQ-135 gas sensor
def stinker():
    gpio.setmode(gpio.BCM)
    gpio.setup(4, gpio.IN)

    try:
        if gpio.input(4):
            return False
        else:
            return True
        sleep(2)
    except KeyboardInterrupt:
        print("\n")

    finally:
        print("clean")
        gpio.cleanup()
    
# BME280 Humidity, Temperature, Pressure sensor
def HTP():
    string = subprocess.check_output(["./HTP"]).decode(encoding='UTF-8',errors='strict')
    string = string.split("temperature:")[1]
    temperature = string.split(" pressure:")[0].replace("*C", "C")
    string = string.split(" pressure:")[1]
    pressure = string.split(" humidity:")[0]
    humidity = string.split(" humidity:")[1].replace("\r\n", "")
    result = {
        "temperature":temperature,
        "pressure":pressure,
        "humidity":humidity}
    # for i in string:
    #     if i.isdigit():
    #         result.append(i)
    
    return result
# Flask server
app = Flask(__name__)

@app.route("/")
def hello_world():
    return f"<p>{HTP()}</p>"

if __name__=="__main__":
    app.run(host='0.0.0.0')